import React from 'react';
import { type CollectionTab } from '../../modules/tabs';
declare const Workspace: ({ tabs, activeTabId, onSelectTab, onSelectNextTab, onSelectPreviousTab, onMoveTab, onCloseTab, onCreateNewTab, }: {
    tabs: CollectionTab[];
    activeTabId: string | null;
    onSelectTab(index: number): void;
    onSelectNextTab(): void;
    onSelectPreviousTab(): void;
    onMoveTab(fromIndex: number, toIndex: number): void;
    onCloseTab(index: number): void;
    onCreateNewTab(): void;
}) => JSX.Element;
declare const MappedWorkspace: import("react-redux").ConnectedComponent<({ tabs, activeTabId, onSelectTab, onSelectNextTab, onSelectPreviousTab, onMoveTab, onCloseTab, onCreateNewTab, }: {
    tabs: CollectionTab[];
    activeTabId: string | null;
    onSelectTab(index: number): void;
    onSelectNextTab(): void;
    onSelectPreviousTab(): void;
    onMoveTab(fromIndex: number, toIndex: number): void;
    onCloseTab(index: number): void;
    onCreateNewTab(): void;
}) => JSX.Element, {
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default MappedWorkspace;
export { Workspace };
//# sourceMappingURL=workspace.d.ts.map