import type AppRegistry from 'hadron-app-registry';
import type { DataService } from 'mongodb-data-service';
import type { CollectionMetadata } from 'mongodb-collection-model';
export type CollectionTabOptions = {
    dataService: DataService;
    globalAppRegistry: AppRegistry;
    localAppRegistry: AppRegistry;
    query?: unknown;
    aggregation?: unknown;
    pipelineText?: string;
    editViewName?: string;
} & CollectionMetadata;
export declare function configureStore(options: CollectionTabOptions): import("redux").Store<import("../modules/collection-tab").CollectionState, import("redux").AnyAction> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, {
        globalAppRegistry: AppRegistry;
        localAppRegistry: AppRegistry;
        dataService: DataService;
    }, import("redux").AnyAction>;
};
//# sourceMappingURL=collection-tab.d.ts.map