import React from 'react';
import type { CollectionState } from '../../modules/collection-tab';
type CollectionHeaderProps = {
    darkMode?: boolean;
    showInsights: boolean;
    onSelectDatabaseClick(): void;
    onEditViewClick(): void;
    onReturnToViewClick(): void;
    namespace: string;
    isReadonly: boolean;
    isTimeSeries: boolean;
    isClustered: boolean;
    isFLE: boolean;
    isAtlas: boolean;
    sourceName?: string;
    editViewName?: string;
    sourcePipeline?: unknown[];
    stats: CollectionState['stats'];
};
declare const _default: (props: Omit<CollectionHeaderProps | (CollectionHeaderProps & {
    children?: React.ReactNode;
}), "showInsights"> & Partial<Pick<CollectionHeaderProps | (CollectionHeaderProps & {
    children?: React.ReactNode;
}), "showInsights">>) => React.ReactElement<{}, string | React.JSXElementConstructor<any>>;
export default _default;
//# sourceMappingURL=collection-header.d.ts.map